# Uses of Interface
org.eclipse.jface.text.ITextHover

Packages that use ITextHover
Package
Description
org.eclipse.jface.text
Provides a framework for creating and manipulating text documents.
org.eclipse.jface.text.source
Provides a framework for connecting document regions with annotations and for displaying those.
org.eclipse.ui.editors.text
Provides a standard text editor and concrete document providers based `IFileBuffer` and others directly handling `IFile` and `IStorage` as editor input.

## Uses of ITextHover in org.eclipse.jface.text

Classes in org.eclipse.jface.text that implement ITextHover
Modifier and Type
Class
Description
`class`
`DefaultTextHover`
Standard implementation of `ITextHover`.
Fields in org.eclipse.jface.text with type parameters of type ITextHover
Modifier and Type
Field
Description
`protected Map<TextViewer.TextHoverKey,ITextHover>`
TextViewer.`fTextHovers`
The text viewer's text hovers
Methods in org.eclipse.jface.text that return ITextHover
Modifier and Type
Method
Description
`ITextHover`
ITextViewerExtension2.`getCurrentTextHover()`
Returns the currently displayed text hover if any, `null` otherwise.
`ITextHover`
TextViewer.`getCurrentTextHover()`
`protected ITextHover`
TextViewer.`getTextHover(int offset)`
Returns the text hover for a given offset.
`protected ITextHover`
TextViewer.`getTextHover(int offset, int stateMask)`
Returns the text hover for a given offset and a given state mask.
Methods in org.eclipse.jface.text with parameters of type ITextHover
Modifier and Type
Method
Description
`void`
ITextViewer.`setTextHover(ITextHover textViewerHover, String contentType)`
Sets this viewer's text hover for the given content type.
`void`
ITextViewerExtension2.`setTextHover(ITextHover textViewerHover, String contentType, int stateMask)`
Sets this viewer's text hover for the given content type and the given state mask.
`void`
TextViewer.`setTextHover(ITextHover hover, String contentType)`
`void`
TextViewer.`setTextHover(ITextHover hover, String contentType, int stateMask)`

## Uses of ITextHover in org.eclipse.jface.text.source

Methods in org.eclipse.jface.text.source that return ITextHover
Modifier and Type
Method
Description
`ITextHover`
SourceViewerConfiguration.`getTextHover(ISourceViewer sourceViewer, String contentType)`
Returns the text hover which will provide the information to be shown in a text hover popup window when requested for the given source viewer and the given content type.
`ITextHover`
SourceViewerConfiguration.`getTextHover(ISourceViewer sourceViewer, String contentType, int stateMask)`
Returns the text hover which will provide the information to be shown in a text hover popup window when requested for the given source viewer and the given content type.

## Uses of ITextHover in org.eclipse.ui.editors.text

Methods in org.eclipse.ui.editors.text that return ITextHover
Modifier and Type
Method
Description
`ITextHover`
TextSourceViewerConfiguration.`getTextHover(ISourceViewer sourceViewer, String contentType)`